Bug 1568603 - Git repo automate datastore refresh timing out upon credential change
Summary: Git repo automate datastore refresh timing out upon credential change
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Greg McCullough
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1552274
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-04-17 21:58 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
10 users (show)

(edit)
Clone Of: 1552274
(edit)
Last Closed: 2018-06-25 14:20:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20 UTC

Comment 2 CFME Bot 2018-04-17 22:11:30 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/6835b92505cf00a6185e5536366693b2351f6a09
commit 6835b92505cf00a6185e5536366693b2351f6a09
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Apr 17 08:49:19 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Apr 17 08:49:19 2018 -0400

    Merge pull request #14889 from mkanoor/bad_credentials

    Use credential callback to set credentials
    (cherry picked from commit 2dd64f87eadf69294a4706a4082bc08d6c9bbb11)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568603
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568605

 app/models/git_repository.rb | 4 +-
 lib/git_worktree.rb | 16 +-
 lib/git_worktree_exception.rb | 1 +
 spec/lib/git_worktree_spec.rb | 12 +
 spec/models/git_repository_spec.rb | 3 +
 5 files changed, 31 insertions(+), 5 deletions(-)

Comment 4 Dmitry Misharov 2018-05-24 07:55:05 UTC
There were no FATAL messages in the log if the credentials were changed. Verified in 5.8.4.3.20180515170411_29cc195.

Comment 6 errata-xmlrpc 2018-06-25 14:20:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.